'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.batch = batch;
exports.batching = batching;
var BatchActionType = '@@redux-batch-middleware/BATCH';

function batch(_ref) {
    var dispatch = _ref.dispatch;

    return function (next) {
        return function (action) {
            Array.isArray(action) ? dispatch({ type: BatchActionType, payload: action }) : next(action);
        };
    };
}

function batching(reducer) {
    return function batcher(state, action) {
        return action.type === BatchActionType ? action.payload.reduce(batcher, state) : reducer(state, action);
    };
}